#include<bits/stdc++.h>
using namespace std;
int n,i,a[200],h=1;
ifstream f1("BAI4_17.inp");
ofstream f2("BAI4_17.out");
void doi(int n)
{
	if(n!=0)
	{
		a[h]=n%2;
		h++;
		doi(n/2);
	}
}
int main()
{
	int dem=0,s=0;
	f1>>n;
	doi(n);
	for(i=h-1;i>=1;i--)
	f2<<a[i];
	f2<<endl;
	for(i=1;i<=h-1;i++)
	{
		if(a[i]==1)
		dem++;
	}
	for(i=1;i<=dem;i++)
	{
		s=s+pow(2,h-2);
		h--;
	}
	f2<<s;
}
